---
title: "Get pending workflow step"
url: https://docs.gleap.ai/en/reference/rest-api/pending-workflow-step
method: GET
path: "/s2s/conversations/{conversationId}/workflow"
api: "API Reference"
tag: "S2S Conversations"
operationId: "PendingWorkflowStep"
updatedAt: "2026-11-01T18:40:15.677Z"
language: en
---

# Get pending workflow step

`GET https://api.gleap.io/v3/s2s/conversations/{conversationId}/workflow`

The workflow step currently waiting for the contact, if any.

## Authorization

- `Authorization` (header, required): `Bearer <token>`

## Path parameters

- `conversationId` (string, required)

## Example request

```bash
curl --request GET \
  --url 'https://api.gleap.io/v3/s2s/conversations/{conversationId}/workflow' \
  --header 'Authorization: Bearer <token>'
```

## Responses

### 200 (`application/json`)

Ok

- `step` (object | null, required)
  - `workflowId` (string)
  - `stepType` (string)
  - `actionFlowId` (string)
  - `actionId` (number<double>)
  - `action` (object): Construct a type with a set of properties K of type T

```json
{
  "step": {
    "workflowId": "string",
    "stepType": "string",
    "actionFlowId": "string",
    "actionId": 0,
    "action": {}
  }
}
```
